%global         debug_package %{nil}

Name:           docky
Version:        2.2.1.1
Release:        %mkrel 1
Summary:        Advanced shortcut bar written in Mono

Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            http://wiki.go-docky.com
Source0:        https://launchpad.net/docky/2.2/%{version}/+download/docky-%{version}.tar.xz

# sharp deps
BuildRequires:  pkgconfig(gnome-sharp-2.0) 
BuildRequires:  pkgconfig(gnome-desktop-sharp-2.0)
BuildRequires:  pkgconfig(gnome-keyring-sharp-1.0) 
BuildRequires:  pkgconfig(gapi-2.0) 
BuildRequires:  pkgconfig(mono-addins)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(ndesk-dbus-1.0) 
BuildRequires:  pkgconfig(ndesk-dbus-glib-1.0)
BuildRequires:  pkgconfig(notify-sharp)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gio-sharp-2.0)
BuildRequires:  pkgconfig(dbus-sharp-2.0) 
BuildRequires:  pkgconfig(dbus-sharp-glib-2.0)
BuildRequires:  pkgconfig(gkeyfile-sharp)
# native deps
BuildRequires:  pkgconfig(glib-2.0) 
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       gnome-desktop-2
Requires:       ndesk-dbus
Requires:       gtk2
Requires:       hicolor-icon-theme
Requires:       gio-sharp 
# docky brings an own, patched version of wnck-sharp, the .config file references libwnck-1.so.22
Requires:       libwnck-1

# Mono only available on these:
ExclusiveArch: %{ix86} x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x


%description
Docky is an advanced shortcut bar that sits at the bottom, top, and/or sides 
of your screen. It provides easy access to some of the files, folders, 
and applications on your computer, displays which applications are 
currently running, holds windows in their minimized state, and more.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q

# fix build with mono4
sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" m4/shamrock/mono.m4

%build
autoreconf -vfi
%configure2_5x --disable-schemas-install --disable-dependency-tracking
%make

%install
%make_install

#gapi_codegen.exe is not distributed (licence is GNU GPL v2)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/gapi_codegen*

desktop-file-install    \
        --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart       \
        --add-only-show-in=GNOME                                \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# autostart is disabled by default
echo "X-GNOME-Autostart-enabled=false" >> \
    $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%doc AUTHORS COPYING COPYRIGHT NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/gmail.png
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/applications/*.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/gconf/schemas/docky.schemas
%doc %{_mandir}/man1/%{name}.1*

%files devel
%{_libdir}/pkgconfig/docky.cairohelper.pc
%{_libdir}/pkgconfig/docky.services.pc
%{_libdir}/pkgconfig/docky.widgets.pc
%{_libdir}/pkgconfig/docky.items.pc


%changelog
* Mon Apr 11 2016 daviddavid <daviddavid> 2.2.1.1-1.mga6
+ Revision: 1000624
- new version: 2.2.1.1
- remove unneeded hard requires those who are already auto-required
- add a missing requires on libwnck-1

* Mon Apr 11 2016 daviddavid <daviddavid> 2.2.0-9.mga6
+ Revision: 1000506
- fix build with mono4 >= 4.2.3

* Mon Feb 01 2016 barjac <barjac> 2.2.0-8.mga6
+ Revision: 930025
- fix requires

* Mon Feb 01 2016 barjac <barjac> 2.2.0-7.mga6
+ Revision: 929676
+ rebuild (emptylog)

* Sun Jan 31 2016 barjac <barjac> 2.2.0-6.mga6
+ Revision: 929659
- change buildrequires for dbus-sharp1.0(-glib1.0)
- use pkgconfig style buildrequires

* Sun Dec 27 2015 tv <tv> 2.2.0-5.mga6
+ Revision: 916057
- rebuild for new boost

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 745931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 678797
- Mageia 5 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 2.2.0-2.mga4
+ Revision: 459598
- add preun gconf schema
- speedup build

* Sun Jul 28 2013 fwang <fwang> 2.2.0-1.mga4
+ Revision: 459592
- new version 2.2.0
- more linkage fix
- fix linkage

* Fri Jan 11 2013 umeabot <umeabot> 2.1.4-2.mga3
+ Revision: 349053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 malo <malo> 2.1.4-1.mga3
+ Revision: 275408
- update to version 2.1.4

* Sat Jan 28 2012 malo <malo> 2.1.3-1.mga2
+ Revision: 202747
- new version 2.1.3
- updated files and dependencies
- dropped patches

* Sat Jan 28 2012 malo <malo> 2.0.12-1.mga2
+ Revision: 202742
- fix devel group
- spec clean-up after import from Fedora.
- imported package docky


* Thu Mar 10 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.12-1
- version bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.11-1
- version bump

* Mon Jan 10 2011 Dan Horák <dan[at]danny.cz> - 2.0.10-2
- updated the supported arch list

* Mon Jan 10 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.10-1
- Version bump
- Man page added
- Patch for shebang not needed anymore (fixed in mainstream)

* Mon Oct 25 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-3
- Fixing many things reported in the bug 635450
- Licence change
- Zooming code completly removed

* Mon Oct 25 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-2
- Fixed requirement on mono-core

* Mon Oct 18 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.7-1
- Version bump

* Mon Sep 06 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.6-1
- Initial package
- Many fixes in spec (thank to Christian Krause)

* Mon Sep 06 2010 Lukas Zapletal <lzap+rpm@redhat.com> - 2.0.6-1
- Initial package
